#ifndef MDIARY_H
#define MDIARY_H

#include <glib.h>
#include <gtk/gtk.h>

enum {
	COL_TITLE = 0,  /* Title of the entry */
	COL_DATE_TEXT,	/* Textual representation of the date (auto generated) */
	COL_TAGS_TEXT,	/* Textual representation of the tags (auto generated) */
	COL_TIMESTAMP,  /* GDateTime of the entry */
	COL_TAGLIST,    /* GList<gchar *> of the tags */
	COL_TEXT,	/* Raw text from the file */
	COL_COUNT
};

void mdiary_scan_to_store(gchar *base_dir,
			  GtkListStore *entryListStore);
void mdiary_add_entry_to_store(GtkListStore *entryListStore,
			       gchar *title,
			       GDateTime *datetime,
			       GList *tags,
			       gchar *text);
#endif /* MDIARY_H */
